clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
clang::tidy::IncludeInserterCallback Class Reference
Inheritance diagram for clang::tidy::IncludeInserterCallback:
[legend]
Collaboration diagram for clang::tidy::IncludeInserterCallback:
[legend]

## Public Member Functions
| IncludeInserterCallback (IncludeInserter *Inserter)
void | InclusionDirective (SourceLocation HashLocation, const Token &, StringRef FileNameRef, bool IsAngled, CharSourceRange FileNameRange, const FileEntry *, StringRef, StringRef, const Module *) override

## Detailed Description

Definition at line 15 of file IncludeInserter.cpp.

## Constructor & Destructor Documentation

clang::tidy::IncludeInserterCallback::IncludeInserterCallback | ( | IncludeInserter * | Inserter | ) |
| inline explicit

Definition at line 17 of file IncludeInserter.cpp.

## Member Function Documentation

void clang::tidy::IncludeInserterCallback::InclusionDirective | ( | SourceLocation | HashLocation,
|  | const Token & | ,
|  | StringRef | FileNameRef,
|  | bool | IsAngled,
|  | CharSourceRange | FileNameRange,
|  | const FileEntry * | ,
|  | StringRef | ,
|  | StringRef | ,
|  | const Module * |
| ) |  |
| inline override

Definition at line 21 of file IncludeInserter.cpp.

The documentation for this class was generated from the following file:

- IncludeInserter.cpp